tvtime(1)

NAME
tvtime - Hochwertige Fernsehsoftware

SYNTAX
tvtime [ OPTION ] ...

BESCHREIBUNG
tvtime ist eine hochwertige Fernsehsoftware zum Einsatz in Verbindung mit einer TV-Karte. tvtime verarbeitet die Bilddaten der TV-Karte und stellt sie auf dem Monitor oder einem Projektor dar. tvtime bietet:

•   De-interlacing bei voller Bildrate (59.94 Bilder/s für NTSC-Quellen, 50 Bilder/s für PAL-Quellen). Dies ermöglicht ruckelfreie Bewegungen und hohe Bildqualität.

•   Mehrere De-Interlacer-Algorithmen. Dies ermöglicht, den jeweils optimalen Modus für den aktuellen Bildinhalt und die verfügbare Prozessorleistung auszuwählen.

•   16:9-Modus, um die höchstmögliche Auflösung bei der Darstellung von Videosignalen von externen DVD-Playern oder digitalen Satellitenreceivern zu bieten.

•   Ein ansprechendes On-Screen-Display für ein komplettes TV-Erlebnis sowie ein leistungsfähiges Menü-System.

BENUTZUNG
Dies sind die wichtigsten Tastenkommandos, die sie für die Benutzung von tvtime lernen sollten:

    Esc oder q
        Beenden

    F1 oder Tab
        Menü anzeigen

    hoch/runter
        Sender wählen

    0-9 und Eingabe
        Sender wählen

    Rücktaste
        Zurück zum letzten Sender

    i   Videoquelle wählen

    m   Stumm

    +/- oder links/rechts
        Lautstärke einstellen

    f   Vollbild

    s   Bildschirmfoto machen

    Eingabe
        Programminformationen anzeigen

    d   Statistiken zu Debug-Zwecken anzeigen
Die folgenden Tastenkommandos steuern erweiterte Funktionen von tvtime. Alle diese Funktionen sind auch über das Menüsystem einstellbar, bei häufiger Verwendung können diese Abkürzungen jedoch hilfreich sein:

    e   Audio-Modus wechseln (Stereo/Mono/SAP)

    v   Immer im Vordergrund ein-/ausschalten (bei kompatiblen Fenstermanagern).

    F5/F6/F7
        Bildeinstellungen

    Leertaste
        Standard-Bildeinstellungen wiederherstellen

    /   Fenstergröße dem Inhalt anpassen (nachdem Bildränder abgeblendet wurden oder in den 16:9-Modus geschaltet wurde)

    c   Dekodierung von "Closed Caption"-Untertiteln ein-/ausschalten (nur NTSC)

OPTIONEN

-a, --widescreen
    Diese Option startet tvtime im 16:9-Modus.

-A, --nowidescreen
    Diese Option startet tvtime im 4:3-Modus.

-h, --help
    Informationen zum Programmaufruf.

-k, --slave
    Tastatursteuerung deaktivieren, um tvtime im sog. Slave-Modus zu betreiben. Dieser Modus wurde zur Integration mit PVR-Software, wie z.B. freevo oder mythtv hinzugefügt, so daß freevo Tastatureingaben verarbeiten kann, während tvtime läuft. Im Slave-Modus werden Tastendrücke ignoriert, aber sie werden auf der Standardausgabe angezeigt und von der Standardeingabe werden Kommandos in der Syntax von tvtime-command akzeptiert.

-m, --fullscreen
    tvtime im Vollbildmodus starten.

-M, --window
    tvtime im Fenstermodus starten.

-s, --showdrops
    Informationen über übersprungene Bilder anzeigen.

-S, --saveoptions
    Kommandozeilenoptionen in Konfigurationsdatei speichern. Diese Option speichert Informationen über die V4L-Gerätedatei, VBI-Gerätedatei, Quellennummer, Fernsehnorm, Frequenzen, Vollbildeinstellung, Seitenverhältnis, wortreichen Modus und die Höhe des Ausgabefensters.

-v, --verbose
    Startet tvtime im wortreichen Modus. In diesem Modus werden Informationen und Warnmeldungen auf dem Standardfehlerkanal ausgegeben. Andernfalls werden nur kritische Fehler angezeigt.

-F, --configfile=FILE
    Zusätzliche Konfigurationsdatei einlesen.

-g, --geometry=GEOMETRY
    Legt die Größe des Ausgabefensters fest, z. B. 400x300 für ein Fenster, das 400 Pixel breit und 300 Pixel hoch ist. Wird die Breite mit 0 angegeben, wird die passende Breite aus der Fensterhöhe errechnet. Bei einem Seitenverhältnis von 4:3 und quadratischen Bildpunkten wird standardmäßig eine Fenstergröße von 768 × 576 Punkten verwendet.

-I, --inputwidth=SAMPLING
    Horizontale Auflösung des V4L-Eingangssignals. Der Standardwert beträgt 720. Diese Einstellung legt fest, wie viele Pixel pro Bildzeile von der TV-Karte ausgelesen werden sollen. Ein höherer Wert liefert ein besseres Bild, ein niedriger Wert verringert die benötigte Rechenzeit. Wenn Sie eine langsame CPU besitzen (etwa 500 MHz oder weniger), sollten Sie einen Wert von 480 oder 400 verwenden. Für höchste Bildqualität verwenden Sie 720 oder 768 Pixel. Viele TV-Karten können das Eingangssignal nicht mit mehr als 768 Pixeln pro Bildzeile abtasten.

-d, --device=NAME
    Legt das zu verwendende video4linux-Gerät fest. Standardmäßig wird /dev/video0 verwendet.

-b, --vbidevice=DEVICE
    Legt das zu verwendende VBI-Gerät fest. Standardmäßig wird /dev/vbi0 verwendet.

-i, --input=INPUTNUM
    Legt die video4linux-Quellennummer fest. Standardwert ist 0. Die meisten Karten besitzen eine ganze Reihe von Quellen, so ist z. B. bei einer WinTV-Karte Quelle 0 der TV-Empfänger und Quelle 1 der Composite Video-Eingang.

-c, --channel=CHANNEL
    Startet tvtime auf dem angegebenen Sender. Andernfalls wird die Einstellung aus der Konfigurationsdatei verwendet.

-n, --norm=NORM
    Stellt den TV-Empfänger auf die angegebene Fernsehnorm ein (Standardwert ist NTSC). Gültige Werte sind:
    • | NTSC
    • | PAL
    • | SECAM
    • | PAL-NC
    • | PAL-M
    • | PAL-N
    • | NTSC-JP

-f, --frequencies=NAME
    Wählt die zu verwendende Frequenztabelle (Standardwert ist us-cable). Gültige Werte sind:
    • | us-cable
    • | us-broadcast
    • | japan-cable
    • | japan-broadcast
    • | europe
    • | australia
    • | australia-optus
    • | newzealand
    • | france
    • | russia
    • | custom (erst tvtime-scanner starten)

-t, --xmltv=FILE
    Liest die XMLTV-Daten zur Anzeige im OSD aus der angegebenen Datei. Die Zuordnung der Sender erfolgt aufgrund ihrer Namen. tvtime zeigt dann Titel, Untertitel und Beschreibung zur aktuellen Sendung im OSD an.

-l, --xmltvlanguage=LANG
    XMLTV-Daten in der angegebenen Sprache anzeigen, wenn vorhanden. Sprachen werden durch ihren zweibuchstabigen Code (z. B. "de" für Deutsch) angegeben. Fehlt diese Angabe oder ist sie auf "none" gesetzt, wird die Standardsprache verwendet.

-X, --display=DISPLAY
    Das angegebene X-Display zur Darstellung des Fernsehbildes verwenden.

-x, --mixer=DEVICE[:CH]
    Legt Mixergerät und -kanal fest. Der Standardwert ist /dev/mixer:line). Gültige Kanäle sind:
    • | vol
    • | bass
    • | treble
    • | synth
    • | pcm
    • | speaker
    • | line
    • | mic
    • | cd
    • | mix
    • | pcm2
    • | rec
    • | igain
    • | ogain
    • | line1
    • | line2
    • | line3
    • | dig1
    • | dig2
    • | dig3
    • | phin
    • | phout
    • | video
    • | radio
    • | monitor

DATEIEN
/tvtime/tvtime.xml
$HOME/.tvtime/tvtime.xml
$HOME/.tvtime/stationlist.xml
/var/run/tvtime/TV-*/tvtimefifo

AUTOREN
Billy Biggs, Doug Bell, Alexander S. Belov, Achim Schneider, David I. Lehn, Paul Jara, Robert Högberg, Craig Dooley, Bart Dorsey, Nicolas Boos, Simon Law, Mark Trolley, Joachim Koenig, Stewart Allen, Justin A, Brian Goines, Krister Lagerstrom.

SIEHE AUCH
tvtime-command(1), tvtime-configure(1), tvtime-scanner(1), tvtime.xml(5), stationlist.xml(5).